%{?mingw_package_header}

# Disable debuginfo subpackages
%undefine _debugsource_packages

%global qt_module qtdeclarative
#global pre rc

#global commit dd1d6b56271caf3f90e536b3ad9dab58c873f202
#global shortcommit %(c=%{commit}; echo ${c:0:7})

%if 0%{?commit:1}
%global source_folder %{qt_module}-%{commit}
%else
%global source_folder %{qt_module}-everywhere-src-%{version}%{?pre:-%{pre}}
%endif

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-qt6-%{qt_module}
Version:        6.1.2
Release:        1%{?dist}
Summary:        Qt6 for Windows - QtDeclarative component

# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
License:        GPLv3 with exceptions or LGPLv2 with exceptions
URL:            http://qt.io/

%if 0%{?commit:1}
Source0:        https://github.com/qt/%{qt_module}/archive/%{commit}/%{qt_module}-everywhere-src-%{commit}.tar.gz
%else
Source0:        http://download.qt.io/%{?pre:development}%{?!pre:official}_releases/qt/%{release_version}/%{version}%{?pre:-%pre}/submodules/%{qt_module}-everywhere-src-%{version}%{?pre:-%pre}.tar.xz
%endif


BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  perl-interpreter
BuildRequires:  qt6-qtdeclarative-devel = %{version}

BuildRequires:  mingw32-filesystem >= 96
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-qt6-qtbase = %{version}

BuildRequires:  mingw64-filesystem >= 96
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-qt6-qtbase = %{version}

%description
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win32
%package -n mingw32-qt6-%{qt_module}
Summary:        Qt6 for Windows - QtDeclarative component
# Dependency for host tools
Requires:       qt6-qtdeclarative-devel = %{version}
BuildArch:      noarch

%description -n mingw32-qt6-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win64
%package -n mingw64-qt6-%{qt_module}
Summary:        Qt for Windows - QtDeclarative component
# Dependency for host tools
Requires:       qt6-qtdeclarative-devel = %{version}
BuildArch:      noarch

%description -n mingw64-qt6-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{source_folder}


%build
%mingw_cmake -G Ninja -DCMAKE_BUILD_TYPE=RelWithDebInfo
%mingw_ninja


%install
%mingw_ninja_install


# Win32
%files -n mingw32-qt6-%{qt_module}
%license LICENSE.LGPL* LICENSE.GPL*
%{mingw32_bindir}/Qt6LabsAnimation.dll
%{mingw32_bindir}/Qt6LabsFolderListModel.dll
%{mingw32_bindir}/Qt6LabsQmlModels.dll
%{mingw32_bindir}/Qt6LabsSettings.dll
%{mingw32_bindir}/Qt6LabsSharedImage.dll
%{mingw32_bindir}/Qt6LabsWavefrontMesh.dll
%{mingw32_bindir}/Qt6Qml.dll
%{mingw32_bindir}/Qt6QmlLocalStorage.dll
%{mingw32_bindir}/Qt6QmlModels.dll
%{mingw32_bindir}/Qt6QmlWorkerScript.dll
%{mingw32_bindir}/Qt6Quick.dll
%{mingw32_bindir}/Qt6QuickLayouts.dll
%{mingw32_bindir}/Qt6QuickParticles.dll
%{mingw32_bindir}/Qt6QuickShapes.dll
%{mingw32_bindir}/Qt6QuickTest.dll
%{mingw32_bindir}/Qt6QuickWidgets.dll
%{mingw32_includedir}/qt6/QtLabsAnimation/
%{mingw32_includedir}/qt6/QtLabsFolderListModel/
%{mingw32_includedir}/qt6/QtLabsQmlModels/
%{mingw32_includedir}/qt6/QtLabsSettings/
%{mingw32_includedir}/qt6/QtLabsSharedImage/
%{mingw32_includedir}/qt6/QtLabsWavefrontMesh/
%{mingw32_includedir}/qt6/QtPacketProtocol/
%{mingw32_includedir}/qt6/QtQml/
%{mingw32_includedir}/qt6/QtQmlCompiler/
%{mingw32_includedir}/qt6/QtQmlDebug/
%{mingw32_includedir}/qt6/QtQmlDom/
%{mingw32_includedir}/qt6/QtQmlLocalStorage/
%{mingw32_includedir}/qt6/QtQmlModels/
%{mingw32_includedir}/qt6/QtQmlWorkerScript/
%{mingw32_includedir}/qt6/QtQuick/
%{mingw32_includedir}/qt6/QtQuickLayouts/
%{mingw32_includedir}/qt6/QtQuickParticles/
%{mingw32_includedir}/qt6/QtQuickShapes/
%{mingw32_includedir}/qt6/QtQuickTest/
%{mingw32_includedir}/qt6/QtQuickWidgets
%{mingw32_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtDeclarativeTestsConfig.cmake
%{mingw32_libdir}/cmake/Qt6LabsAnimation/
%{mingw32_libdir}/cmake/Qt6LabsFolderListModel/
%{mingw32_libdir}/cmake/Qt6LabsQmlModels/
%{mingw32_libdir}/cmake/Qt6LabsSettings/
%{mingw32_libdir}/cmake/Qt6LabsSharedImage/
%{mingw32_libdir}/cmake/Qt6LabsWavefrontMesh/
%{mingw32_libdir}/cmake/Qt6PacketProtocol/
%{mingw32_libdir}/cmake/Qt6QmlCompiler/
%{mingw32_libdir}/cmake/Qt6QmlDebug/
%{mingw32_libdir}/cmake/Qt6QmlDevTools/
%{mingw32_libdir}/cmake/Qt6QmlDom/
%{mingw32_libdir}/cmake/Qt6QmlImportScanner/
%{mingw32_libdir}/cmake/Qt6QmlLocalStorage/
%{mingw32_libdir}/cmake/Qt6QmlModels/
%{mingw32_libdir}/cmake/Qt6Qml/
%{mingw32_libdir}/cmake/Qt6QmlWorkerScript/
%{mingw32_libdir}/cmake/Qt6QuickLayouts/
%{mingw32_libdir}/cmake/Qt6QuickParticles/
%{mingw32_libdir}/cmake/Qt6Quick/
%{mingw32_libdir}/cmake/Qt6QuickShapes/
%{mingw32_libdir}/cmake/Qt6QuickTest/
%{mingw32_libdir}/cmake/Qt6QuickWidgets/
%{mingw32_libdir}/libQt6LabsAnimation.dll.a
%{mingw32_libdir}/libQt6LabsFolderListModel.dll.a
%{mingw32_libdir}/libQt6LabsQmlModels.dll.a
%{mingw32_libdir}/libQt6LabsSettings.dll.a
%{mingw32_libdir}/libQt6LabsSharedImage.dll.a
%{mingw32_libdir}/libQt6LabsWavefrontMesh.dll.a
%{mingw32_libdir}/libQt6PacketProtocol.a
%{mingw32_libdir}/libQt6QmlCompiler.a
%{mingw32_libdir}/libQt6QmlDebug.a
%{mingw32_libdir}/libQt6QmlDevTools.a
%{mingw32_libdir}/libQt6Qml.dll.a
%{mingw32_libdir}/libQt6QmlDom.a
%{mingw32_libdir}/libQt6QmlLocalStorage.dll.a
%{mingw32_libdir}/libQt6QmlModels.dll.a
%{mingw32_libdir}/libQt6QmlWorkerScript.dll.a
%{mingw32_libdir}/libQt6Quick.dll.a
%{mingw32_libdir}/libQt6QuickLayouts.dll.a
%{mingw32_libdir}/libQt6QuickParticles.dll.a
%{mingw32_libdir}/libQt6QuickShapes.dll.a
%{mingw32_libdir}/libQt6QuickTest.dll.a
%{mingw32_libdir}/libQt6QuickWidgets.dll.a
%{mingw32_libdir}/metatypes/qt6labsanimation_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6labsfolderlistmodel_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6labsqmlmodels_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6labssettings_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6labssharedimage_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6labswavefrontmesh_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qmllocalstorage_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qmlmodels_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qml_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6qmlworkerscript_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quicklayouts_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quickparticles_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quick_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quickshapes_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quicktest_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quicktooling_relwithdebinfo_metatypes.json
%{mingw32_libdir}/metatypes/qt6quickwindow_relwithdebinfo_metatypes.json
%{mingw32_libdir}/Qt6LabsAnimation.prl
%{mingw32_libdir}/Qt6LabsFolderListModel.prl
%{mingw32_libdir}/Qt6LabsQmlModels.prl
%{mingw32_libdir}/Qt6LabsSettings.prl
%{mingw32_libdir}/Qt6LabsSharedImage.prl
%{mingw32_libdir}/Qt6LabsWavefrontMesh.prl
%{mingw32_libdir}/qt6/mkspecs/features/qmlcache.prf
%{mingw32_libdir}/qt6/mkspecs/features/qmltypes.prf
%{mingw32_libdir}/qt6/mkspecs/features/qtquickcompiler.prf
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labsanimation.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labsanimation_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labsfolderlistmodel.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labsfolderlistmodel_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labsqmlmodels.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labsqmlmodels_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labssettings.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labssettings_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labssharedimage.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labssharedimage_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labswavefrontmesh.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_labswavefrontmesh_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_packetprotocol_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmlcompiler_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmldebug_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmldevtools_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmldom_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmllocalstorage.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmllocalstorage_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmlmodels.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmlmodels_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qml.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qml_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmltest.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmltest_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmlworkerscript.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_qmlworkerscript_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quicklayouts.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quicklayouts_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickparticles_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quick.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quick_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickshapes_private.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickwidgets.pri
%{mingw32_libdir}/qt6/mkspecs/modules/qt_lib_quickwidgets_private.pri
%{mingw32_libdir}/Qt6PacketProtocol.prl
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_debugger.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_inspector.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_local.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_messages.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_nativedebugger.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_native.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_preview.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_profiler.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_quickprofiler.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_server.dll
%{mingw32_libdir}/qt6/plugins/qmltooling/qmldbg_tcp.dll
%dir %{mingw32_libdir}/qt6/qml
%{mingw32_libdir}/qt6/qml/builtins.qmltypes
%dir %{mingw32_libdir}/qt6/qml/Qt/
%dir %{mingw32_libdir}/qt6/qml/Qt/labs/
%{mingw32_libdir}/qt6/qml/Qt/labs/animation
%{mingw32_libdir}/qt6/qml/Qt/labs/folderlistmodel
%{mingw32_libdir}/qt6/qml/Qt/labs/qmlmodels
%{mingw32_libdir}/qt6/qml/Qt/labs/settings
%{mingw32_libdir}/qt6/qml/Qt/labs/sharedimage
%{mingw32_libdir}/qt6/qml/Qt/labs/wavefrontmesh
%dir %{mingw32_libdir}/qt6/qml/QtQml/
%{mingw32_libdir}/qt6/qml/QtQml/plugins.qmltypes
%{mingw32_libdir}/qt6/qml/QtQml/qmldir
%{mingw32_libdir}/qt6/qml/QtQml/qmlplugin.dll
%{mingw32_libdir}/qt6/qml/QtQml/Models
%{mingw32_libdir}/qt6/qml/QtQml/WorkerScript
%dir %{mingw32_libdir}/qt6/qml/QtQuick
%{mingw32_libdir}/qt6/qml/QtQuick/plugins.qmltypes
%{mingw32_libdir}/qt6/qml/QtQuick/qmldir
%{mingw32_libdir}/qt6/qml/QtQuick/qtquick2plugin.dll
%{mingw32_libdir}/qt6/qml/QtQuick/Layouts
%{mingw32_libdir}/qt6/qml/QtQuick/LocalStorage
%{mingw32_libdir}/qt6/qml/QtQuick/Particles
%{mingw32_libdir}/qt6/qml/QtQuick/Shapes
%{mingw32_libdir}/qt6/qml/QtQuick/Window
%{mingw32_libdir}/qt6/qml/QtQuick/tooling
%{mingw32_libdir}/qt6/qml/QtTest
%{mingw32_libdir}/Qt6QmlCompiler.prl
%{mingw32_libdir}/Qt6QmlDebug.prl
%{mingw32_libdir}/Qt6QmlDevTools.prl
%{mingw32_libdir}/Qt6QmlDom.prl
%{mingw32_libdir}/Qt6QmlLocalStorage.prl
%{mingw32_libdir}/Qt6QmlModels.prl
%{mingw32_libdir}/Qt6Qml.prl
%{mingw32_libdir}/Qt6QmlWorkerScript.prl
%{mingw32_libdir}/Qt6QuickLayouts.prl
%{mingw32_libdir}/Qt6QuickParticles.prl
%{mingw32_libdir}/Qt6Quick.prl
%{mingw32_libdir}/Qt6QuickShapes.prl
%{mingw32_libdir}/Qt6QuickTest.prl
%{mingw32_libdir}/Qt6QuickWidgets.prl
%{mingw32_datadir}/qt6/modules/LabsAnimation.json
%{mingw32_datadir}/qt6/modules/LabsFolderListModel.json
%{mingw32_datadir}/qt6/modules/LabsQmlModels.json
%{mingw32_datadir}/qt6/modules/LabsSettings.json
%{mingw32_datadir}/qt6/modules/LabsSharedImage.json
%{mingw32_datadir}/qt6/modules/LabsWavefrontMesh.json
%{mingw32_datadir}/qt6/modules/PacketProtocol.json
%{mingw32_datadir}/qt6/modules/QmlCompiler.json
%{mingw32_datadir}/qt6/modules/QmlDebug.json
%{mingw32_datadir}/qt6/modules/QmlDevTools.json
%{mingw32_datadir}/qt6/modules/QmlDom.json
%{mingw32_datadir}/qt6/modules/Qml.json
%{mingw32_datadir}/qt6/modules/QmlLocalStorage.json
%{mingw32_datadir}/qt6/modules/QmlModels.json
%{mingw32_datadir}/qt6/modules/QmlWorkerScript.json
%{mingw32_datadir}/qt6/modules/Quick.json
%{mingw32_datadir}/qt6/modules/QuickLayouts.json
%{mingw32_datadir}/qt6/modules/QuickParticles.json
%{mingw32_datadir}/qt6/modules/QuickShapes.json
%{mingw32_datadir}/qt6/modules/QuickTest.json
%{mingw32_datadir}/qt6/modules/QuickWidgets.json


# Win64
%files -n mingw64-qt6-%{qt_module}
%license LICENSE.LGPL* LICENSE.GPL*
%{mingw64_bindir}/Qt6LabsAnimation.dll
%{mingw64_bindir}/Qt6LabsFolderListModel.dll
%{mingw64_bindir}/Qt6LabsQmlModels.dll
%{mingw64_bindir}/Qt6LabsSettings.dll
%{mingw64_bindir}/Qt6LabsSharedImage.dll
%{mingw64_bindir}/Qt6LabsWavefrontMesh.dll
%{mingw64_bindir}/Qt6Qml.dll
%{mingw64_bindir}/Qt6QmlLocalStorage.dll
%{mingw64_bindir}/Qt6QmlModels.dll
%{mingw64_bindir}/Qt6QmlWorkerScript.dll
%{mingw64_bindir}/Qt6Quick.dll
%{mingw64_bindir}/Qt6QuickLayouts.dll
%{mingw64_bindir}/Qt6QuickParticles.dll
%{mingw64_bindir}/Qt6QuickShapes.dll
%{mingw64_bindir}/Qt6QuickTest.dll
%{mingw64_bindir}/Qt6QuickWidgets.dll
%{mingw64_includedir}/qt6/QtLabsAnimation/
%{mingw64_includedir}/qt6/QtLabsFolderListModel/
%{mingw64_includedir}/qt6/QtLabsQmlModels/
%{mingw64_includedir}/qt6/QtLabsSettings/
%{mingw64_includedir}/qt6/QtLabsSharedImage/
%{mingw64_includedir}/qt6/QtLabsWavefrontMesh/
%{mingw64_includedir}/qt6/QtPacketProtocol/
%{mingw64_includedir}/qt6/QtQml/
%{mingw64_includedir}/qt6/QtQmlCompiler/
%{mingw64_includedir}/qt6/QtQmlDebug/
%{mingw64_includedir}/qt6/QtQmlDom/
%{mingw64_includedir}/qt6/QtQmlLocalStorage/
%{mingw64_includedir}/qt6/QtQmlModels/
%{mingw64_includedir}/qt6/QtQmlWorkerScript/
%{mingw64_includedir}/qt6/QtQuick/
%{mingw64_includedir}/qt6/QtQuickLayouts/
%{mingw64_includedir}/qt6/QtQuickParticles/
%{mingw64_includedir}/qt6/QtQuickShapes/
%{mingw64_includedir}/qt6/QtQuickTest/
%{mingw64_includedir}/qt6/QtQuickWidgets
%{mingw64_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtDeclarativeTestsConfig.cmake
%{mingw64_libdir}/cmake/Qt6LabsAnimation/
%{mingw64_libdir}/cmake/Qt6LabsFolderListModel/
%{mingw64_libdir}/cmake/Qt6LabsQmlModels/
%{mingw64_libdir}/cmake/Qt6LabsSettings/
%{mingw64_libdir}/cmake/Qt6LabsSharedImage/
%{mingw64_libdir}/cmake/Qt6LabsWavefrontMesh/
%{mingw64_libdir}/cmake/Qt6PacketProtocol/
%{mingw64_libdir}/cmake/Qt6QmlCompiler/
%{mingw64_libdir}/cmake/Qt6QmlDebug/
%{mingw64_libdir}/cmake/Qt6QmlDevTools/
%{mingw64_libdir}/cmake/Qt6QmlDom/
%{mingw64_libdir}/cmake/Qt6QmlImportScanner/
%{mingw64_libdir}/cmake/Qt6QmlLocalStorage/
%{mingw64_libdir}/cmake/Qt6QmlModels/
%{mingw64_libdir}/cmake/Qt6Qml/
%{mingw64_libdir}/cmake/Qt6QmlWorkerScript/
%{mingw64_libdir}/cmake/Qt6QuickLayouts/
%{mingw64_libdir}/cmake/Qt6QuickParticles/
%{mingw64_libdir}/cmake/Qt6Quick/
%{mingw64_libdir}/cmake/Qt6QuickShapes/
%{mingw64_libdir}/cmake/Qt6QuickTest/
%{mingw64_libdir}/cmake/Qt6QuickWidgets/
%{mingw64_libdir}/libQt6LabsAnimation.dll.a
%{mingw64_libdir}/libQt6LabsFolderListModel.dll.a
%{mingw64_libdir}/libQt6LabsQmlModels.dll.a
%{mingw64_libdir}/libQt6LabsSettings.dll.a
%{mingw64_libdir}/libQt6LabsSharedImage.dll.a
%{mingw64_libdir}/libQt6LabsWavefrontMesh.dll.a
%{mingw64_libdir}/libQt6PacketProtocol.a
%{mingw64_libdir}/libQt6QmlCompiler.a
%{mingw64_libdir}/libQt6QmlDebug.a
%{mingw64_libdir}/libQt6QmlDevTools.a
%{mingw64_libdir}/libQt6Qml.dll.a
%{mingw64_libdir}/libQt6QmlDom.a
%{mingw64_libdir}/libQt6QmlLocalStorage.dll.a
%{mingw64_libdir}/libQt6QmlModels.dll.a
%{mingw64_libdir}/libQt6QmlWorkerScript.dll.a
%{mingw64_libdir}/libQt6Quick.dll.a
%{mingw64_libdir}/libQt6QuickLayouts.dll.a
%{mingw64_libdir}/libQt6QuickParticles.dll.a
%{mingw64_libdir}/libQt6QuickShapes.dll.a
%{mingw64_libdir}/libQt6QuickTest.dll.a
%{mingw64_libdir}/libQt6QuickWidgets.dll.a
%{mingw64_libdir}/metatypes/qt6labsanimation_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6labsfolderlistmodel_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6labsqmlmodels_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6labssettings_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6labssharedimage_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6labswavefrontmesh_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qmllocalstorage_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qmlmodels_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qml_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6qmlworkerscript_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quicklayouts_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quickparticles_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quick_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quickshapes_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quicktest_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quicktooling_relwithdebinfo_metatypes.json
%{mingw64_libdir}/metatypes/qt6quickwindow_relwithdebinfo_metatypes.json
%{mingw64_libdir}/Qt6LabsAnimation.prl
%{mingw64_libdir}/Qt6LabsFolderListModel.prl
%{mingw64_libdir}/Qt6LabsQmlModels.prl
%{mingw64_libdir}/Qt6LabsSettings.prl
%{mingw64_libdir}/Qt6LabsSharedImage.prl
%{mingw64_libdir}/Qt6LabsWavefrontMesh.prl
%{mingw64_libdir}/qt6/mkspecs/features/qmlcache.prf
%{mingw64_libdir}/qt6/mkspecs/features/qmltypes.prf
%{mingw64_libdir}/qt6/mkspecs/features/qtquickcompiler.prf
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labsanimation.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labsanimation_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labsfolderlistmodel.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labsfolderlistmodel_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labsqmlmodels.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labsqmlmodels_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labssettings.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labssettings_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labssharedimage.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labssharedimage_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labswavefrontmesh.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_labswavefrontmesh_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_packetprotocol_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmlcompiler_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmldebug_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmldevtools_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmldom_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmllocalstorage.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmllocalstorage_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmlmodels.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmlmodels_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qml.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qml_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmltest.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmltest_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmlworkerscript.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_qmlworkerscript_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quicklayouts.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quicklayouts_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickparticles_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quick.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quick_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickshapes_private.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickwidgets.pri
%{mingw64_libdir}/qt6/mkspecs/modules/qt_lib_quickwidgets_private.pri
%{mingw64_libdir}/Qt6PacketProtocol.prl
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_debugger.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_inspector.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_local.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_messages.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_nativedebugger.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_native.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_preview.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_profiler.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_quickprofiler.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_server.dll
%{mingw64_libdir}/qt6/plugins/qmltooling/qmldbg_tcp.dll
%dir %{mingw64_libdir}/qt6/qml
%{mingw64_libdir}/qt6/qml/builtins.qmltypes
%dir %{mingw64_libdir}/qt6/qml/Qt/
%dir %{mingw64_libdir}/qt6/qml/Qt/labs/
%{mingw64_libdir}/qt6/qml/Qt/labs/animation
%{mingw64_libdir}/qt6/qml/Qt/labs/folderlistmodel
%{mingw64_libdir}/qt6/qml/Qt/labs/qmlmodels
%{mingw64_libdir}/qt6/qml/Qt/labs/settings
%{mingw64_libdir}/qt6/qml/Qt/labs/sharedimage
%{mingw64_libdir}/qt6/qml/Qt/labs/wavefrontmesh
%dir %{mingw64_libdir}/qt6/qml/QtQml/
%{mingw64_libdir}/qt6/qml/QtQml/plugins.qmltypes
%{mingw64_libdir}/qt6/qml/QtQml/qmldir
%{mingw64_libdir}/qt6/qml/QtQml/qmlplugin.dll
%{mingw64_libdir}/qt6/qml/QtQml/Models
%{mingw64_libdir}/qt6/qml/QtQml/WorkerScript
%dir %{mingw64_libdir}/qt6/qml/QtQuick
%{mingw64_libdir}/qt6/qml/QtQuick/plugins.qmltypes
%{mingw64_libdir}/qt6/qml/QtQuick/qmldir
%{mingw64_libdir}/qt6/qml/QtQuick/qtquick2plugin.dll
%{mingw64_libdir}/qt6/qml/QtQuick/Layouts
%{mingw64_libdir}/qt6/qml/QtQuick/LocalStorage
%{mingw64_libdir}/qt6/qml/QtQuick/Particles
%{mingw64_libdir}/qt6/qml/QtQuick/Shapes
%{mingw64_libdir}/qt6/qml/QtQuick/Window
%{mingw64_libdir}/qt6/qml/QtQuick/tooling
%{mingw64_libdir}/qt6/qml/QtTest
%{mingw64_libdir}/Qt6QmlCompiler.prl
%{mingw64_libdir}/Qt6QmlDebug.prl
%{mingw64_libdir}/Qt6QmlDevTools.prl
%{mingw64_libdir}/Qt6QmlDom.prl
%{mingw64_libdir}/Qt6QmlLocalStorage.prl
%{mingw64_libdir}/Qt6QmlModels.prl
%{mingw64_libdir}/Qt6Qml.prl
%{mingw64_libdir}/Qt6QmlWorkerScript.prl
%{mingw64_libdir}/Qt6QuickLayouts.prl
%{mingw64_libdir}/Qt6QuickParticles.prl
%{mingw64_libdir}/Qt6Quick.prl
%{mingw64_libdir}/Qt6QuickShapes.prl
%{mingw64_libdir}/Qt6QuickTest.prl
%{mingw64_libdir}/Qt6QuickWidgets.prl
%{mingw64_datadir}/qt6/modules/LabsAnimation.json
%{mingw64_datadir}/qt6/modules/LabsFolderListModel.json
%{mingw64_datadir}/qt6/modules/LabsQmlModels.json
%{mingw64_datadir}/qt6/modules/LabsSettings.json
%{mingw64_datadir}/qt6/modules/LabsSharedImage.json
%{mingw64_datadir}/qt6/modules/LabsWavefrontMesh.json
%{mingw64_datadir}/qt6/modules/PacketProtocol.json
%{mingw64_datadir}/qt6/modules/QmlCompiler.json
%{mingw64_datadir}/qt6/modules/QmlDebug.json
%{mingw64_datadir}/qt6/modules/QmlDevTools.json
%{mingw64_datadir}/qt6/modules/QmlDom.json
%{mingw64_datadir}/qt6/modules/Qml.json
%{mingw64_datadir}/qt6/modules/QmlLocalStorage.json
%{mingw64_datadir}/qt6/modules/QmlModels.json
%{mingw64_datadir}/qt6/modules/QmlWorkerScript.json
%{mingw64_datadir}/qt6/modules/Quick.json
%{mingw64_datadir}/qt6/modules/QuickLayouts.json
%{mingw64_datadir}/qt6/modules/QuickParticles.json
%{mingw64_datadir}/qt6/modules/QuickShapes.json
%{mingw64_datadir}/qt6/modules/QuickTest.json
%{mingw64_datadir}/qt6/modules/QuickWidgets.json


%changelog
* Fri Aug 13 2021 Sandro Mani <manisandro@gmail.com> - 6.1.2-1
- Update to 6.1.2

* Mon Aug 09 2021 Sandro Mani <manisandro@gmail.com> - 6.1.1-2
- More detailed %%files

* Sat Jul 10 2021 Sandro Mani <manisandro@gmail.com> - 6.1.1-1
- Update to 6.1.1
